This content has been archived and is no longer being maintained.

Table of Contents

Article

Setup wizard prerequisites for Pega Robotic Automation version 8.0 and 8.0 SP1

When you use the Setup wizard to install Pega Robotic Automation Studio (stand-alone or plug-in), Pega Robotic Automation Runtime/Agile Desktop, or both, the wizard first looks for certain Microsoft software prerequisites, such as the Microsoft .NET Framework. If the required software components are missing, the wizard downloads them from Microsoft's site and installs them before it installs your Pega Robotic Automation Studio or Pega Robotic Automation Runtime software.

To install the prerequisites before running the Setup wizard, or if you are doing an offline install, use the following information as a guide for finding the necessary components. For more information on installing Pega Robotic Automation Studio offline, see the installation instructions.

The following links are provided for your convenience. If any of these links no longer work, visit the Microsoft website to download the these applications and click Feedback so that we can update the link.

Pega Robotic Automation Studio

For Pega Robotic Automation Studio, stand-alone or plug-in, you must have the following applications installed on your computer before you install Pega Robotic Automation Studio:

  • Microsoft Visual Studio 2015 RTM
  • Microsoft .NET Framework 4.6
  • Microsoft Visual C++ Redistributable for Visual Studio 2017 (vc_redist.x86.exe and vc_redist.x64.exe)
Version 8.0.1053 and later builds require Microsoft Visual Studio 2015 Update 3 for the stand-alone and plug-in versions of Pega Robotic Automation Studio.

If you do not have the correct version of these applications installed, the Setup wizard downloads the following applications from the specified locations:

Pega Robotic Automation Runtime/Agile Desktop

For Pega Robotic Automation Runtime/Agile Desktop, you must have the following applications installed on your computer before you install Pega Robotic Automation Runtime/Agile Desktop. For Pega Robotic Automation Runtime, you must have Microsoft .NET Framework version 3.5 SP1 or 4.0. For Pega Robotic Automation Agile Desktop, you must have Microsoft .NET Framework version 4.0. For Pega Robotic Automation Runtime/Agile Desktop 8.0 SP1 and later, you must have Microsoft .NET Framework 4.5.

If you do not have the correct version of these applications installed, the Setup wizard downloads the following applications from the specified locations:

Tags:

Published December 2, 2016 — Updated May 14, 2019


100% found this useful

Have a question? Get answers now.

Visit the Pega Support Community to ask questions, engage in discussions, and help others.